use color_eyre::Result;
use crate::action::Action;

use super::Activatable;

pub trait Helpable: Activatable {
    fn open_help_popup(&mut self) -> Result<Option<Action>> {
        self.set_inactive();
        Ok(Some(Action::Help))
    }
}
